Author: Niko Tyni <ntyni@iki.fi>
Description: Fix an issue with the namespace function returning NIL.
Bug-Debian: https://bugs.debian.org/256837
Last-Update: 2004-07-07
Forwarded: no

--- a/Net/IMAP.pm
+++ b/Net/IMAP.pm
@@ -2391,14 +2391,21 @@ sub new {
   $self->{Parent} = $parent;
 
   my $fields = Net::xAP->parse_fields($str);
-  for my $n (0 .. 2) {
-    my $field = $fields->[$n];
-    for my $item (@{$field}) {
-      $item->[1] = '' if (lc($item->[1]) eq 'nil');
-      $self->{Namespaces}{$namespace_types[$n]}{$item->[0]} = $item->[1];
+  if (lc($fields->[1]) eq 'nil')
+  {
+    for my $n (0 .. 2) {
+      $self->{Namespaces}{$namespace_types[$n]}{$fields->[0]} = '';
+    }
+  }
+  else
+  {
+    for my $n (0 .. 2) {
+      my $field = $fields->[$n];
+      for my $item (@{$field}) {
+        $self->{Namespaces}{$namespace_types[$n]}{$item->[0]} = $item->[1];
+      }
     }
   }
-
   return $self;
 }
 
